import { EventEmitter } from '../../stencil-public-runtime';
import { StateOfReminder } from '../../utils/utils';
export declare class AddonReminderHeader {
  stateOfReminder: StateOfReminder;
  state: StateOfReminder;
  status: StateOfReminder;
  creationDate: string;
  optionsMenuOpen: boolean;
  changeStatusToAddonReminder: EventEmitter<string>;
  addonReminderTitle: string;
  titleOfReminder: string;
  addonReminderInfoFromHeaderEmitter: EventEmitter<string>;
  closeReminderEmitter: EventEmitter<boolean>;
  openOptions(): void;
  componentWillRender(): void;
  componentShouldUpdate(): void;
  takeTitleInput(ev: any): void;
  changeState(ev: any): void;
  closeReminder(): void;
  render(): any;
}
